IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/test/Makefile

    r2309 r3115  
    1 ##############################################################################
    2 ##
    3 ##  Makefile:   test
    4 ##
    5 ##  $Revision: 1.10 $  $Name: not supported by cvs2svn $
    6 ##  $Date: 2004-11-09 01:10:38 $
    7 ##
    8 ##  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
    9 ###############################################################################
    10 
    11 # Define variable prefix to the top level project - psLib
    12 # This is necessary for definition is Makefile.Globals uses prefix
    13 
    14 ifndef prefix
    15     export prefix=$(shell cd ..;pwd)
    16 endif
    17 
    18 # Define the two targets to be built
    19 
    20 TARGET_STATIC  = libpstest.a
    21 TARGET_DYNAMIC = libpstest.$(DLL)
    22 
    23 # Include the make global definitions for the project
    24 
    25 include ../src/Makefile.Globals
    26 
    27 # Set CFLAGS used by the implicit rule to compile .c
    28 
    29 CFLAGS := $(CFLAGS_RELOC) -I../include
    30 
    31 # Define the source objects
    32  
    33 SRC_OBJS = psTest.o
    34 
    35 # Define PHONY target "all" which will make all the necessary items
    36 
    37 all: $(TARGET_STATIC) $(TARGET_DYNAMIC)
    38 
    39 # Rule to make static library
    40 
    41 libpstest.a: $(SRC_OBJS)
    42 # The ar option -r is to add/replace object and -s is to create
    43 # a symbol table in the archive
    44         $(AR) rcs $@ $(SRC_OBJS)
    45 
    46 # Rule to make dynamic library
    47 
    48 libpstest.$(DLL): $(SRC_OBJS)
    49         $(CC) $(LDFLAGS_DLL) -L../lib -lpslib $(SRC_OBJS) -o $@ 
    50 
    51 # Define PHONY target "install" which will install necessary files
    52 
    53 install: $(TARGET_STATIC) $(TARGET_DYNAMIC) $(includedir) $(libexecdir) $(testbindir)
    54         install *.h $(includedir)
    55         install $(TARGET_STATIC) $(libexecdir)
    56         install $(TARGET_DYNAMIC) $(libexecdir)
    57         install FullUnitTest runTest $(testbindir)
    58         $(MAKE) --directory=collections install
    59         $(MAKE) --directory=image install
    60         $(MAKE) --directory=dataManip install
    61         $(MAKE) --directory=sysUtils install
    62         $(MAKE) --directory=astronomy install
    63         $(MAKE) --directory=fileUtils install
    64 
    65 # Define PHONY target "distclean" which will cleanup the distribution
    66 
    67 distclean:      clean
    68         $(MAKE) --directory=collections distclean
    69         $(MAKE) --directory=image distclean
    70         $(MAKE) --directory=dataManip distclean
    71         $(MAKE) --directory=sysUtils distclean
    72         $(MAKE) --directory=astronomy distclean
    73         $(MAKE) --directory=fileUtils distclean
    74         $(RM) $(TARGET_STATIC)
    75         $(RM) $(TARGET_DYNAMIC)
    76         $(RM) $(libexecdir)/$(TARGET_STATIC)
    77         $(RM) $(libexecdir)/$(TARGET_DYNAMIC)
    78 
    79 # Define PHONY target "clean" which will cleanup the development area
    80 
    81 clean:
    82         $(MAKE) --directory=collections clean
    83         $(MAKE) --directory=image clean
    84         $(MAKE) --directory=dataManip clean
    85         $(MAKE) --directory=sysUtils clean
    86         $(MAKE) --directory=astronomy clean
    87         $(MAKE) --directory=fileUtils clean
    88         @echo "    Deleting intermediate files for 'test'"
    89         $(RM) $(SRC_OBJS) *.lint
    90 
    91 %.lint: %.c
    92         splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
    93 
    94 # Rule to make include directory if needed
    95 
    96 $(includedir):
    97         mkdir -p $(includedir)
    98 
    99 # Rule to make lib directory if needed
    100 
    101 $(libexecdir):
    102         mkdir -p $(libexecdir)
    103 
    104 $(testbindir):
    105         mkdir -p $(testbindir)
    106 
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# test/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16srcdir = .
     17top_srcdir = ..
     18
     19pkgdatadir = $(datadir)/pslib
     20pkglibdir = $(libdir)/pslib
     21pkgincludedir = $(includedir)/pslib
     22top_builddir = ..
     23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     24INSTALL = /usr/bin/install -c
     25install_sh_DATA = $(install_sh) -c -m 644
     26install_sh_PROGRAM = $(install_sh) -c
     27install_sh_SCRIPT = $(install_sh) -c
     28INSTALL_HEADER = $(INSTALL_DATA)
     29transform = $(program_transform_name)
     30NORMAL_INSTALL = :
     31PRE_INSTALL = :
     32POST_INSTALL = :
     33NORMAL_UNINSTALL = :
     34PRE_UNINSTALL = :
     35POST_UNINSTALL = :
     36build_triplet = x86_64-unknown-linux-gnu
     37host_triplet = x86_64-unknown-linux-gnu
     38subdir = test
     39DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
     40ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     41am__aclocal_m4_deps = $(top_srcdir)/configure.in
     42am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     43        $(ACLOCAL_M4)
     44mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     45CONFIG_HEADER = $(top_builddir)/src/config.h
     46CONFIG_CLEAN_FILES =
     47SOURCES =
     48DIST_SOURCES =
     49RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     50        html-recursive info-recursive install-data-recursive \
     51        install-exec-recursive install-info-recursive \
     52        install-recursive installcheck-recursive installdirs-recursive \
     53        pdf-recursive ps-recursive uninstall-info-recursive \
     54        uninstall-recursive
     55ETAGS = etags
     56CTAGS = ctags
     57DIST_SUBDIRS = $(SUBDIRS)
     58DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     59ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     60AMDEP_FALSE = #
     61AMDEP_TRUE =
     62AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     63AR = ar
     64AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     65AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     66AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     67AWK = gawk
     68CC = gcc
     69CCDEPMODE = depmode=gcc3
     70CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     71CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     72CPP = gcc -E
     73CPPFLAGS =
     74CXX = g++
     75CXXCPP = g++ -E
     76CXXDEPMODE = depmode=gcc3
     77CXXFLAGS = -g -O2
     78CYGPATH_W = echo
     79DEFS = -DHAVE_CONFIG_H
     80DEPDIR = .deps
     81ECHO = echo
     82ECHO_C =
     83ECHO_N = -n
     84ECHO_T =
     85EGREP = grep -E
     86EXEEXT =
     87F77 = g77
     88FFLAGS = -fno-second-underscore -O -fno-f2c
     89GSL_CONFIG = /usr/bin/gsl-config
     90INSTALL_DATA = ${INSTALL} -m 644
     91INSTALL_PROGRAM = ${INSTALL}
     92INSTALL_SCRIPT = ${INSTALL}
     93INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     94LDFLAGS =
     95LIBOBJS =
     96LIBS =
     97LIBTOOL = $(SHELL) $(top_builddir)/libtool
     98LN_S = ln -s
     99LTLIBOBJS =
     100MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     101OBJEXT = o
     102PACKAGE = pslib
     103PACKAGE_BUGREPORT =
     104PACKAGE_NAME =
     105PACKAGE_STRING =
     106PACKAGE_TARNAME =
     107PACKAGE_VERSION =
     108PATH_SEPARATOR = :
     109PERL = /usr/bin/perl
     110PSLIB_CFLAGS = -I${prefix}/include
     111PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     112RANLIB = ranlib
     113SET_MAKE =
     114SHELL = /bin/sh
     115STRIP = strip
     116SWIG = /usr/bin/swig
     117VERSION = 1.5
     118XML_CONFIG = /usr/bin/xml2-config
     119ac_ct_AR = ar
     120ac_ct_CC = gcc
     121ac_ct_CXX = g++
     122ac_ct_F77 = g77
     123ac_ct_RANLIB = ranlib
     124ac_ct_STRIP = strip
     125am__fastdepCC_FALSE = #
     126am__fastdepCC_TRUE =
     127am__fastdepCXX_FALSE = #
     128am__fastdepCXX_TRUE =
     129am__include = include
     130am__leading_dot = .
     131am__quote =
     132am__tar = ${AMTAR} chof - "$$tardir"
     133am__untar = ${AMTAR} xf -
     134bindir = ${exec_prefix}/bin
     135build = x86_64-unknown-linux-gnu
     136build_alias =
     137build_cpu = x86_64
     138build_os = linux-gnu
     139build_vendor = unknown
     140datadir = ${prefix}/share
     141exec_prefix = ${prefix}
     142host = x86_64-unknown-linux-gnu
     143host_alias =
     144host_cpu = x86_64
     145host_os = linux-gnu
     146host_vendor = unknown
     147includedir = ${prefix}/include
     148infodir = ${prefix}/info
     149install_sh = /home/desonia/panstarrs/psLib/install-sh
     150libdir = ${exec_prefix}/lib
     151libexecdir = ${exec_prefix}/libexec
     152localstatedir = ${prefix}/var
     153mandir = ${prefix}/man
     154mkdir_p = mkdir -p --
     155oldincludedir = /usr/include
     156prefix = /home/desonia/panstarrs/psLib
     157program_transform_name = s,x,x,
     158sbindir = ${exec_prefix}/sbin
     159sharedstatedir = ${prefix}/com
     160sysconfdir = ${prefix}/etc
     161target_alias =
     162
     163# not a GNU package. You can remove this line, if
     164# have all needed files, that a GNU package needs
     165AUTOMAKE_OPTIONS = foreign 1.4
     166SUBDIRS = astronomy collections dataManip fileUtils image sysUtils
     167EXTRA_DIST = runTest FullUnitTest
     168all: all-recursive
     169
     170.SUFFIXES:
     171$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     172        @for dep in $?; do \
     173          case '$(am__configure_deps)' in \
     174            *$$dep*) \
     175              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     176                && exit 0; \
     177              exit 1;; \
     178          esac; \
     179        done; \
     180        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/Makefile'; \
     181        cd $(top_srcdir) && \
     182          $(AUTOMAKE) --foreign  test/Makefile
     183.PRECIOUS: Makefile
     184Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     185        @case '$?' in \
     186          *config.status*) \
     187            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     188          *) \
     189            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     190            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     191        esac;
     192
     193$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     194        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     195
     196$(top_srcdir)/configure:  $(am__configure_deps)
     197        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     198$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     199        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     200
     201mostlyclean-libtool:
     202        -rm -f *.lo
     203
     204clean-libtool:
     205        -rm -rf .libs _libs
     206
     207distclean-libtool:
     208        -rm -f libtool
     209uninstall-info-am:
     210
     211# This directory's subdirectories are mostly independent; you can cd
     212# into them and run `make' without going through this Makefile.
     213# To change the values of `make' variables: instead of editing Makefiles,
     214# (1) if the variable is set in `config.status', edit `config.status'
     215#     (which will cause the Makefiles to be regenerated when you run `make');
     216# (2) otherwise, pass the desired values on the `make' command line.
     217$(RECURSIVE_TARGETS):
     218        @set fnord $$MAKEFLAGS; amf=$$2; \
     219        dot_seen=no; \
     220        target=`echo $@ | sed s/-recursive//`; \
     221        list='$(SUBDIRS)'; for subdir in $$list; do \
     222          echo "Making $$target in $$subdir"; \
     223          if test "$$subdir" = "."; then \
     224            dot_seen=yes; \
     225            local_target="$$target-am"; \
     226          else \
     227            local_target="$$target"; \
     228          fi; \
     229          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     230           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
     231        done; \
     232        if test "$$dot_seen" = "no"; then \
     233          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
     234        fi; test -z "$$fail"
     235
     236mostlyclean-recursive clean-recursive distclean-recursive \
     237maintainer-clean-recursive:
     238        @set fnord $$MAKEFLAGS; amf=$$2; \
     239        dot_seen=no; \
     240        case "$@" in \
     241          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
     242          *) list='$(SUBDIRS)' ;; \
     243        esac; \
     244        rev=''; for subdir in $$list; do \
     245          if test "$$subdir" = "."; then :; else \
     246            rev="$$subdir $$rev"; \
     247          fi; \
     248        done; \
     249        rev="$$rev ."; \
     250        target=`echo $@ | sed s/-recursive//`; \
     251        for subdir in $$rev; do \
     252          echo "Making $$target in $$subdir"; \
     253          if test "$$subdir" = "."; then \
     254            local_target="$$target-am"; \
     255          else \
     256            local_target="$$target"; \
     257          fi; \
     258          (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
     259           || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
     260        done && test -z "$$fail"
     261tags-recursive:
     262        list='$(SUBDIRS)'; for subdir in $$list; do \
     263          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
     264        done
     265ctags-recursive:
     266        list='$(SUBDIRS)'; for subdir in $$list; do \
     267          test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
     268        done
     269
     270ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     271        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     272        unique=`for i in $$list; do \
     273            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     274          done | \
     275          $(AWK) '    { files[$$0] = 1; } \
     276               END { for (i in files) print i; }'`; \
     277        mkid -fID $$unique
     278tags: TAGS
     279
     280TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     281                $(TAGS_FILES) $(LISP)
     282        tags=; \
     283        here=`pwd`; \
     284        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
     285          include_option=--etags-include; \
     286          empty_fix=.; \
     287        else \
     288          include_option=--include; \
     289          empty_fix=; \
     290        fi; \
     291        list='$(SUBDIRS)'; for subdir in $$list; do \
     292          if test "$$subdir" = .; then :; else \
     293            test ! -f $$subdir/TAGS || \
     294              tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
     295          fi; \
     296        done; \
     297        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     298        unique=`for i in $$list; do \
     299            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     300          done | \
     301          $(AWK) '    { files[$$0] = 1; } \
     302               END { for (i in files) print i; }'`; \
     303        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     304          test -n "$$unique" || unique=$$empty_fix; \
     305          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     306            $$tags $$unique; \
     307        fi
     308ctags: CTAGS
     309CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     310                $(TAGS_FILES) $(LISP)
     311        tags=; \
     312        here=`pwd`; \
     313        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     314        unique=`for i in $$list; do \
     315            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     316          done | \
     317          $(AWK) '    { files[$$0] = 1; } \
     318               END { for (i in files) print i; }'`; \
     319        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     320          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     321             $$tags $$unique
     322
     323GTAGS:
     324        here=`$(am__cd) $(top_builddir) && pwd` \
     325          && cd $(top_srcdir) \
     326          && gtags -i $(GTAGS_ARGS) $$here
     327
     328distclean-tags:
     329        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     330
     331distdir: $(DISTFILES)
     332        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     333        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     334        list='$(DISTFILES)'; for file in $$list; do \
     335          case $$file in \
     336            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     337            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     338          esac; \
     339          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     340          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     341          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     342            dir="/$$dir"; \
     343            $(mkdir_p) "$(distdir)$$dir"; \
     344          else \
     345            dir=''; \
     346          fi; \
     347          if test -d $$d/$$file; then \
     348            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     349              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     350            fi; \
     351            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     352          else \
     353            test -f $(distdir)/$$file \
     354            || cp -p $$d/$$file $(distdir)/$$file \
     355            || exit 1; \
     356          fi; \
     357        done
     358        list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
     359          if test "$$subdir" = .; then :; else \
     360            test -d "$(distdir)/$$subdir" \
     361            || $(mkdir_p) "$(distdir)/$$subdir" \
     362            || exit 1; \
     363            distdir=`$(am__cd) $(distdir) && pwd`; \
     364            top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
     365            (cd $$subdir && \
     366              $(MAKE) $(AM_MAKEFLAGS) \
     367                top_distdir="$$top_distdir" \
     368                distdir="$$distdir/$$subdir" \
     369                distdir) \
     370              || exit 1; \
     371          fi; \
     372        done
     373check-am: all-am
     374check: check-recursive
     375all-am: Makefile
     376installdirs: installdirs-recursive
     377installdirs-am:
     378install: install-recursive
     379install-exec: install-exec-recursive
     380install-data: install-data-recursive
     381uninstall: uninstall-recursive
     382
     383install-am: all-am
     384        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     385
     386installcheck: installcheck-recursive
     387install-strip:
     388        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     389          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     390          `test -z '$(STRIP)' || \
     391            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     392mostlyclean-generic:
     393
     394clean-generic:
     395
     396distclean-generic:
     397        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     398
     399maintainer-clean-generic:
     400        @echo "This command is intended for maintainers to use"
     401        @echo "it deletes files that may require special tools to rebuild."
     402clean: clean-recursive
     403
     404clean-am: clean-generic clean-libtool mostlyclean-am
     405
     406distclean: distclean-recursive
     407        -rm -f Makefile
     408distclean-am: clean-am distclean-generic distclean-libtool \
     409        distclean-tags
     410
     411dvi: dvi-recursive
     412
     413dvi-am:
     414
     415html: html-recursive
     416
     417info: info-recursive
     418
     419info-am:
     420
     421install-data-am:
     422
     423install-exec-am:
     424
     425install-info: install-info-recursive
     426
     427install-man:
     428
     429installcheck-am:
     430
     431maintainer-clean: maintainer-clean-recursive
     432        -rm -f Makefile
     433maintainer-clean-am: distclean-am maintainer-clean-generic
     434
     435mostlyclean: mostlyclean-recursive
     436
     437mostlyclean-am: mostlyclean-generic mostlyclean-libtool
     438
     439pdf: pdf-recursive
     440
     441pdf-am:
     442
     443ps: ps-recursive
     444
     445ps-am:
     446
     447uninstall-am: uninstall-info-am
     448
     449uninstall-info: uninstall-info-recursive
     450
     451.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
     452        clean clean-generic clean-libtool clean-recursive ctags \
     453        ctags-recursive distclean distclean-generic distclean-libtool \
     454        distclean-recursive distclean-tags distdir dvi dvi-am html \
     455        html-am info info-am install install-am install-data \
     456        install-data-am install-exec install-exec-am install-info \
     457        install-info-am install-man install-strip installcheck \
     458        installcheck-am installdirs installdirs-am maintainer-clean \
     459        maintainer-clean-generic maintainer-clean-recursive \
     460        mostlyclean mostlyclean-generic mostlyclean-libtool \
     461        mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
     462        uninstall uninstall-am uninstall-info-am
     463
     464
     465tests:
     466# Tell versions [3.59,3.63) of GNU make to not export all variables.
     467# Otherwise a system limit (for SysV at least) may be exceeded.
     468.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.